/**
 * Created by mar105 on 2019-03-05.
 */

import React from 'react';
import { connect } from 'umi';
import CommonGroupBillComponent from '../../components/Common/CommonGroupBill';

function CommonGroupBill({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const commonNewBillProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <CommonGroupBillComponent {...commonNewBillProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(CommonGroupBill);

